﻿/*table th d-flex align-items-center justify-content-center*/
.fixed-table-container thead tr th.as-d-flex .th-inner {
    display: flex;
}
.fixed-table-container thead tr th.as-align-items-center .th-inner {
    align-items: center;
}
.fixed-table-container thead tr th.as-justify-content-center .th-inner {
    justify-content: center;
}

.fixed-table-container thead tr th .sortable {
    cursor: pointer;
}

.fixed-table-container thead tr th .both button div span.icon-arrow-up,
.fixed-table-container thead tr th .both button div span.icon-arrow-down {
    display: block !important;
    width: 100% !important;
}

.fixed-table-container thead tr th .both.asc button div span.icon-arrow-up,
.fixed-table-container thead tr th .both.desc button div span.icon-arrow-down {
    display: block !important;
    width: 100% !important;
}

.fixed-table-container thead tr th .both.desc button div span.icon-arrow-up,
.fixed-table-container thead tr th .both.asc button div span.icon-arrow-down {
    display: none !important;
}

thead tr th.icon-arrow-both button div span.icon-arrow-up,
thead tr th.icon-arrow-both button div span.icon-arrow-down {
    display: block !important;
    width: 100% !important;
}

thead tr th.icon-arrow-asc button div span.icon-arrow-up,
thead tr th.icon-arrow-desc button div span.icon-arrow-down {
    display: block !important;
    width: 100% !important;
}

thead tr th.icon-arrow-desc button div span.icon-arrow-up,
thead tr th.icon-arrow-asc button div span.icon-arrow-down {
    display: none !important;
}

thead tr th.icon-arrow-both,
thead tr th.icon-arrow-desc,
thead tr th.icon-arrow-asc {
    position: relative !important;
}
    thead tr th.icon-arrow-both button.btn-sort::after,
    thead tr th.icon-arrow-desc button.btn-sort::after,
    thead tr th.icon-arrow-asc button.btn-sort::after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }

.pagination .page-item button.page-link {
    height: 100%
}

.w200 {
    width: 200px;
}

.icon-page-start:before {
    content: "\e912";
    display: inline-block;
    transform: scaleX(-1);
}

.link-style {
    background: none;
    border: none;
    color: #007bff;
    padding:0;
    transition: all 0.5s;
}
    .link-style:hover {
        background-color: #ffd967;
        color: #03182C;
    }

.main-img-show {
    background-image: url(../images/main-bg-show.png);
    background-size: contain;
    background-attachment: fixed;
}
@media (max-width:1199px) {
    .for-table.show-thead thead {
        display: table-header-group;
    }

    .for-table td:nth-of-type(n)::before {
        content: attr(m-show);
        display: block;
        font-weight: 700;
    }
    .for-table tbody th:nth-of-type(n)::before {
        content: attr(m-show);
        display: block;
        font-weight: 700;
    }
}

@media (min-width: 1600px) {
    .container-xxxl {
        max-width: 1450px;
    }
}

@media (min-width: 1700px) {
    .container-xxxl {
        max-width: 1580px;
    }
}

@media (min-width: 1900px) {
    .container-xxxl {
        max-width: 1720px;
    }
}

@media (min-width: 1700px) {
    .pb-xxxl-5 {
        padding-bottom: 3rem !important
    }
}

.btn-mini-loading-mask::after {
    content: "";
    width: 16px;
    height: 16px;
    display: inline-block;
    border-width: 4px;
    border-style: solid;
    border-color: transparent #555 #555 #555; /* 更明顯 */
    border-radius: 50%;
    animation: spin 1s linear infinite;
    background-color: transparent;
    margin-bottom: -3px;
}

.mini-loading-mask::before {
    content: '';
    position: absolute;
    z-index: 999;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.25);
}

.mini-loading-mask::after {
    content: "";
    width: 16px;
    height: 16px;
    display: inline-block;
    border-width: 4px;
    border-style: solid;
    border-color: transparent #555 #555 #555; /* 更明顯 */
    border-radius: 50%;
    animation: spin 1s linear infinite;
    background-color: transparent;
    margin-bottom: -3px;
}

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}

.w-ch-5 {
    width: 5ch;
}

.w-ch-6 {
    width: 6ch;
}

.w-ch-8 {
    width: 8ch;
}

.w-ch-11 {
    width: 11ch;
}

.w-ch-18 {
    width: 18ch;
}


#featured-materials a:focus * {
    background-color: #ffd967 !important;
    color: #03182C !important;
}
#featured-materials a:focus {
    outline: 2px dashed #f75855 !important;
    outline-offset: -2px !important;
}

#hot-keyword-recommend-file a:focus * {
    background-color: #ffd967 !important;
    color: #03182C !important;
}

#hot-keyword-recommend-file a:focus {
    outline: 2px dashed #f75855 !important;
    outline-offset: -2px !important;
}